public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/uutf/
Date: Mon,  5 Jul 2021 19:23:21 +0000 (UTC)	[thread overview]
Message-ID: <1625512983.24c878bcf0b36279209d6bcfd7517308634359f7.tupone@gentoo> (raw)

commit:     24c878bcf0b36279209d6bcfd7517308634359f7
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Mon Jul  5 19:23:03 2021 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Mon Jul  5 19:23:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24c878bc

dev-ml/uutf: bump to 1.0.2

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/uutf/Manifest          |  1 +
 dev-ml/uutf/uutf-1.0.2.ebuild | 63 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-ml/uutf/Manifest b/dev-ml/uutf/Manifest
index 29cbb152037..89a09addc80 100644
--- a/dev-ml/uutf/Manifest
+++ b/dev-ml/uutf/Manifest
@@ -1 +1,2 @@
 DIST uutf-1.0.1.tbz 22215 BLAKE2B 58cbb8db94024ddaa02c213df4e5321ad33513370c6d1d54ac09f57821df8ac3b330c2659f9aeb0e78dfd15d2f50be714a5a5d6e6d3dcc3f81539c1a6c8c3771 SHA512 35cbee8c82a566f2fe4fcd549936d4c4dc67f5b71bfd3ea97ff25d7cf21cfb77cb5ee313c95ad26a2a61bb84aa48c300bbb79a1a7128c6161e9abe9c390a7d18
+DIST uutf-1.0.2.tbz 22420 BLAKE2B 8391f6c3cde40db3fa86b9243d8ea8fb52409aa958d1020f302d602bf7c06c44b7d93f7a6a64a1b0964c7bb5856e15178957bba48102dbd36d8efe9581db3787 SHA512 5f2dbe78eaf73a292438d84c7185c839a7ac13cee9616a7b5006990314c6a0d42b212854cc2e89d815d3c45804f94bb40af75ecb60da7092887d8dc21e968bdd

diff --git a/dev-ml/uutf/uutf-1.0.2.ebuild b/dev-ml/uutf/uutf-1.0.2.ebuild
new file mode 100644
index 00000000000..320c6dea77e
--- /dev/null
+++ b/dev-ml/uutf/uutf-1.0.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit findlib
+
+DESCRIPTION="Non-blocking streaming Unicode codec for OCaml"
+HOMEPAGE="https://erratique.ch/software/uutf"
+SRC_URI="https://erratique.ch/software/uutf/releases/${P}.tbz"
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc utftrip +ocamlopt test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="utftrip? ( ocamlopt )"
+
+RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]
+	dev-ml/uchar:=
+	utftrip? ( dev-ml/cmdliner:= )"
+DEPEND="${RDEPEND}
+	dev-ml/ocamlbuild
+	dev-ml/topkg
+	test? ( dev-ml/cmdliner )"
+
+src_compile() {
+	ocaml pkg/pkg.ml build \
+		--with-cmdliner "$(usex utftrip true false)" \
+		|| die
+}
+
+src_test() {
+	if use ocamlopt ; then
+		ocamlbuild -use-ocamlfind tests.otarget || die
+		pushd _build/test || die
+		./test.native || die
+		# Rebuild to avoid mismatches between installed files, bug #604674
+		popd || die
+		ocaml pkg/pkg.ml build \
+			--with-cmdliner "$(usex utftrip true false)" \
+			|| die
+	else
+		ewarn "Sorry, ${PN} tests require native support (ocamlopt)"
+	fi
+}
+
+src_install() {
+	# Can't use opam-installer here as it is an opam dep...
+	findlib_src_preinst
+	local nativelibs=""
+
+	use ocamlopt && nativelibs="$(echo _build/src/uutf.cm{x,xa,xs} _build/src/uutf.a)"
+	ocamlfind install uutf _build/pkg/META _build/src/uutf.mli _build/src/uutf.cm{a,i} ${nativelibs} || die
+
+	use utftrip && newbin utftrip.$(usex ocamlopt native byte) utftrip
+	dodoc CHANGES.md README.md
+
+	if use doc ; then
+		docinto html
+		dodoc -r doc/*
+	fi
+}


             reply	other threads:[~2021-07-05 19:23 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-05 19:23 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-03-17 10:00 [gentoo-commits] repo/gentoo:master commit in: dev-ml/uutf/ Arthur Zamarin
2023-03-17  2:29 Sam James
2023-03-17  2:29 Sam James
2023-03-16 23:16 Sam James
2023-03-16 23:16 Sam James
2022-07-03  8:18 Alfredo Tupone
2022-03-08 14:59 Maciej Barć
2021-10-29  5:55 Agostino Sarubbo
2021-10-29  5:54 Agostino Sarubbo
2021-10-18 23:49 Sam James
2021-10-17  0:13 Sam James
2021-10-16 14:02 Agostino Sarubbo
2021-10-16  7:10 Agostino Sarubbo
2021-10-15  3:51 Sam James
2021-04-21  2:10 Sam James
2021-03-13 14:05 Sam James
2021-03-04 14:28 Agostino Sarubbo
2021-02-25 17:54 Sam James
2021-02-25 13:09 Sam James
2021-02-10 16:38 Sam James
2021-02-09 20:22 Sam James
2021-02-09 20:22 Sam James
2021-02-09 20:22 Sam James
2017-08-02 11:23 Alexis Ballier
2017-08-02 11:23 Alexis Ballier
2017-04-05 17:50 Markus Meier
2017-04-05  9:51 Michael Weber
2017-03-15 14:26 Alexis Ballier
2017-03-08  8:55 Alexis Ballier
2017-01-24 10:55 Alexis Ballier
2017-01-14  2:32 Alexis Ballier
2016-11-29 12:21 Alexis Ballier
2016-11-28 20:27 Alexis Ballier
2016-03-01 18:47 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1625512983.24c878bcf0b36279209d6bcfd7517308634359f7.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox